#!/usr/bin/perl

# Copyright (C) 2010 Julien VAUBOURG
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

use lib '/home/sonde/classes';
use strict;

use PSM::RRD;
use PSM::Zones;


# UTILISATION
#
# ./listeip.pl idZone : Renvoit sur la sortie standard toutes les adresses IP rencontrees pour la zone indiquee en option.
# Attention : C'est l'identifiant de la zone qu'on veut et pas son nom (voir zones.hash). Pour internet et le reseau, les identifiants
# sont internet et reseau, sinon ce sont des numeros.
# Ce script necessite d'avoir l'arborescence des RRD deja generee.


# Liste des adresses IP rencontrees pour la zone donnee
print join("\n", sort @{Zones::listerIP(@ARGV[0])}) if defined @ARGV[0];
